Package net.commoble.exmachina.api.content

# Enum Class NoneDynamicProperty

java.lang.Object
java.lang.Enum<NoneDynamicProperty>
net.commoble.exmachina.api.content.NoneDynamicProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<NoneDynamicProperty>`, `Constable`, `DynamicProperty`

public enum NoneDynamicProperty extends Enum<NoneDynamicProperty> implements DynamicProperty
DynamicProperty representing an absent DynamicProperty. This is the default dynamic property for CircuitComponents that do not specify them. Blocks that use this property will not be dynamically tracked. We use this instead of empty optionals or nulls, because optionals are clunkier and codecs don't like nulls.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
Singleton instance of the NoneDynamicProperty

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<NoneDynamicProperty>`
`CODEC`
{"type": "exmachina:none"}
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends DynamicProperty>>`
`KEY`
exmachina:dynamic_property_type / exmachina:none

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.MapCodec<? extends DynamicProperty>`
`codec()`
Returns Codec registered to `ExMachinaRegistries.DYNAMIC_PROPERTY_TYPE`..
`double`
`getValue(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
Returns double value of this property given the provided context..
`boolean`
`isPresent()`
Returns boolean indicating whether this property exists. If false, dynamic values will not be checked for the associated block. Consider using `INSTANCE` instead of overriding this..
`static NoneDynamicProperty`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NoneDynamicProperty[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final NoneDynamicProperty INSTANCE
Singleton instance of the NoneDynamicProperty

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends DynamicProperty>> KEY
exmachina:dynamic_property_type / exmachina:none

### CODEC

public static final com.mojang.serialization.MapCodec<NoneDynamicProperty> CODEC

    {"type": "exmachina:none"}

## Method Details

### values

public static NoneDynamicProperty[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NoneDynamicProperty valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isPresent

public boolean isPresent()
Description copied from interface: `DynamicProperty`
Returns boolean indicating whether this property exists. If false, dynamic values will not be checked for the associated block. Consider using `INSTANCE` instead of overriding this..

Specified by:
  `isPresent` in interface `DynamicProperty`
Returns:
  boolean indicating whether this property exists. If false, dynamic values will not be checked for the associated block. Consider using `INSTANCE` instead of overriding this.

### getValue

public double getValue(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)
Description copied from interface: `DynamicProperty`
Returns double value of this property given the provided context..

Specified by:
  `getValue` in interface `DynamicProperty`
Parameters:
  `level` - LevelReader to read level data with.
  `pos` - BlockPos where the value is being read at
  `state` - BlockState at the position where the value is being read at
Returns:
  double value of this property given the provided context.

### codec

public com.mojang.serialization.MapCodec<? extends DynamicProperty> codec()
Description copied from interface: `DynamicProperty`
Returns Codec registered to `ExMachinaRegistries.DYNAMIC_PROPERTY_TYPE`..

Specified by:
  `codec` in interface `DynamicProperty`
Returns:
  Codec registered to `ExMachinaRegistries.DYNAMIC_PROPERTY_TYPE`.